weka.core.pmml.jaxbbindings

## Class NumericInfo

- java.lang.Object
- - weka.core.pmml.jaxbbindings.NumericInfo

-     public class NumericInfo
      extends java.lang.Object

  Java class for NumericInfo element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="NumericInfo">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Quantile" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="interQuartileRange" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="maximum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="mean" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="median" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="minimum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="standardDeviation" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getInterQuartileRange()` Gets the value of the interQuartileRange property.
    `java.lang.Double` | `getMaximum()` Gets the value of the maximum property.
    `java.lang.Double` | `getMean()` Gets the value of the mean property.
    `java.lang.Double` | `getMedian()` Gets the value of the median property.
    `java.lang.Double` | `getMinimum()` Gets the value of the minimum property.
    `java.util.List<Quantile>` | `getQuantile()` Gets the value of the quantile property.
    `java.lang.Double` | `getStandardDeviation()` Gets the value of the standardDeviation property.
    `void` | `setInterQuartileRange(java.lang.Double value)` Sets the value of the interQuartileRange property.
    `void` | `setMaximum(java.lang.Double value)` Sets the value of the maximum property.
    `void` | `setMean(java.lang.Double value)` Sets the value of the mean property.
    `void` | `setMedian(java.lang.Double value)` Sets the value of the median property.
    `void` | `setMinimum(java.lang.Double value)` Sets the value of the minimum property.
    `void` | `setStandardDeviation(java.lang.Double value)` Sets the value of the standardDeviation property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericInfo

          public NumericInfo()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getQuantile

          public java.util.List<Quantile> getQuantile()

      Gets the value of the quantile property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the quantile property.

      For example, to add a new item, do as follows:

              getQuantile().add(newItem);

      Objects of the following type(s) are allowed in the list `Quantile`

    - #### getInterQuartileRange

          public java.lang.Double getInterQuartileRange()

      Gets the value of the interQuartileRange property.
      Returns:
        possible object is `Double`

    - #### setInterQuartileRange

          public void setInterQuartileRange(java.lang.Double value)

      Sets the value of the interQuartileRange property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMaximum

          public java.lang.Double getMaximum()

      Gets the value of the maximum property.
      Returns:
        possible object is `Double`

    - #### setMaximum

          public void setMaximum(java.lang.Double value)

      Sets the value of the maximum property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMean

          public java.lang.Double getMean()

      Gets the value of the mean property.
      Returns:
        possible object is `Double`

    - #### setMean

          public void setMean(java.lang.Double value)

      Sets the value of the mean property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMedian

          public java.lang.Double getMedian()

      Gets the value of the median property.
      Returns:
        possible object is `Double`

    - #### setMedian

          public void setMedian(java.lang.Double value)

      Sets the value of the median property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMinimum

          public java.lang.Double getMinimum()

      Gets the value of the minimum property.
      Returns:
        possible object is `Double`

    - #### setMinimum

          public void setMinimum(java.lang.Double value)

      Sets the value of the minimum property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getStandardDeviation

          public java.lang.Double getStandardDeviation()

      Gets the value of the standardDeviation property.
      Returns:
        possible object is `Double`

    - #### setStandardDeviation

          public void setStandardDeviation(java.lang.Double value)

      Sets the value of the standardDeviation property.
      Parameters:
        `value` - allowed object is `Double`